OpenGL errors and Premiere CS5, CS5.5 and CS6

If you are using NVidia video cards and your are using Adobe Premiere CS5 or CS5.5 or CS6, you may have OpenGL errors or other problems if you are using the NVidia driver 306.97 dated Oct. 10, 2012.

I installed this driver on a couple of our systems and I started getting OpenGl errors when I would rendering the timeline with AVCHD files.

As soon as I went back to the NVidia driver 301.42 WHQL, the problems went away.

On Dec. 17, 2012, NVidia released driver version 310.70 WHQL.  I have been using this driver all week on Adobe Premiere CS5, CS5.5 and CS6 with no problems and no more OpenGL errors.  You should be safe to update to the latest drivers instead of rolling back the driver.

In case you need to roll back your NVidia video card driver, you can just follow the steps in this blog post.